# Arch dependent binaries in noarch package:
%define debug_package %{nil}

Summary:	Configuration file abstraction layer
Name:		perl-Libconf
Version:	0.42.10
Release:	%mkrel 22
URL:		http://www.libconf.net/
Source0:	http://libconf.net/download/%{name}-%{version}.tar.bz2
Patch0:		perl-Libconf-0.39.9-fix-drakups.patch
Patch1:		perl-Libconf-fix-doc-build.patch
# Fix build for perl 5.10: suggested by http://patches.ubuntu.com/by-release/extracted/debian/o/openser/1.3.0-3/04_perl_for_perl5.10.dpatch
# for a similar issue in openser, from Ubuntu - AdamW 2008/07
Patch2:		perl-Libconf-0.42.10-perl510.patch
Patch3:		perl-Libconf-0.42.10-perl-Libconf_Makefile-fix-indentation.patch
License:	GPLv2+
Group:		Development/Perl

BuildRequires:	perl(XML::LibXML)
BuildRequires:	perl(Text::DelimMatch)
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(libnsl)
# not automatically detected:
#global __requires_exclude perl\\(Libconf::Glueconf::KeyValue\\)

%description
Libconf is a wrapper to the main configuration files of the system.
It's mainly a generic parser plus many templates.

%package gui
Summary: Graphic User Interface generator for any libconf module
Group: Development/Perl

%description gui
This module is able to generate a standard GTK+ 2 interface
representing any high level libconf module, that can be used in other
GTK+ 2 programs.

%package samples
Summary: Set of examples programs using libconf
Group: Development/Perl
Requires: %{name}

%description samples
This module is a set of programs, using libconf. Its goal is to give
example and proof of concept around the libconf project.

%package devel
Summary: Libconf devel
Group: Development/Perl
Requires: %{name}

%description devel
Libconf devel files.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1 -b .perl510
%patch3 -p1 -b .makefile-fix-indentation

%build
%__make all CFLAGS="%{optflags} -Wall -O2 -fpic" BINDINGS="bash c"
%__make -s check

%install
%make_install PREFIX="%{buildroot}%{_prefix}" LIB_DIR="%{buildroot}%{_libdir}" NAME=%{name}
rm -f %{buildroot}/%{_docdir}/perl-Libconf/html/Libconf/Libconf

%files
%doc ChangeLog
%doc %{_docdir}/perl-Libconf/html/
%{perl_vendorlib}/Libconf.pm
%{perl_vendorlib}/Libconf/*
%exclude %{perl_vendorlib}/Libconf/GUI

%files gui
%doc ChangeLog
%{perl_vendorlib}/Libconf/GUI

%files samples
%doc ChangeLog
%{_bindir}/*

%files devel
%{_libdir}/libconf2xml.so
%{_includedir}/*


%changelog
* Tue Dec 15 2020 tv <tv> 0.42.10-22.mga8
+ Revision: 1657530
- BR pkgconfig(libnsl)

* Wed Jun 17 2020 umeabot <umeabot> 0.42.10-21.mga8
+ Revision: 1594833
- Rebuild for perl 5.32

* Sun Mar 22 2020 shlomif <shlomif> 0.42.10-20.mga8
+ Revision: 1558882
- fix circular symlink + modernise spec

* Sun Feb 16 2020 umeabot <umeabot> 0.42.10-19.mga8
+ Revision: 1529709
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.42.10-18.mga8
+ Revision: 1433802
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.42.10-17.mga7
+ Revision: 1293317
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.42.10-16.mga7
+ Revision: 1249507
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.42.10-15.mga7
+ Revision: 1165142
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.42.10-14.mga7
+ Revision: 1149016
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.42.10-13.mga7
+ Revision: 1127173
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.42.10-12.mga6
+ Revision: 1029137
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.42.10-11.mga6
+ Revision: 957616
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.42.10-10.mga6
+ Revision: 892188
- fix file list for doc
- cannot be noarch
- make it noarch thus fixing empty debuginfo

* Sat Jun 27 2015 tv <tv> 0.42.10-9.mga6
+ Revision: 846061
- rebuild for soname-ifed perl

* Wed Oct 15 2014 umeabot <umeabot> 0.42.10-8.mga5
+ Revision: 748221
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.42.10-7.mga5
+ Revision: 685202
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 0.42.10-6.mga4
+ Revision: 524116
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.42.10-5.mga4
+ Revision: 430053
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.42.10-4.mga3
+ Revision: 368997
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 ahmad <ahmad> 0.42.10-3.mga2
+ Revision: 42115
- add patch to fix build
+ jquelin <jquelin>
- mageia rebuild
- rebuild
- mageia rebuild

* Wed Jan 12 2011 jquelin <jquelin> 0.42.10-2.mga1
+ Revision: 7391
- imported package perl-Libconf

